<div class="wrapper-button" (click)="toggleDropdown()">
  <button
    [ngStyle]="styles"
    class="base-button"
    [ngClass]="{
      black: color === 'black',
      white: color === 'white',
      danger: color === 'danger',
      gray: color === 'gray'
    }"
  >
    <ng-content></ng-content>
  </button>
  <div
    class="button-dropdown"
    *ngIf="type === 'export'"
    [ngClass]="{ open: isOpen }"
  >
    <div class="button-dropdown-option">XLS</div>
    <div class="button-dropdown-option">CSV</div>
  </div>
</div>
